/*
 * Class TO_SPECIAL [INTEGER_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_1879 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_1879 [] = {0xFF01,1551,1878,845,0xFFFF};
static const EIF_TYPE_INDEX egt_2_1879 [] = {0xFF01,1878,845,0xFFFF};
static const EIF_TYPE_INDEX egt_3_1879 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_1879 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_1879 [] = {0xFF01,1878,845,0xFFFF};
static const EIF_TYPE_INDEX egt_6_1879 [] = {0xFF01,1878,845,0xFFFF};
static const EIF_TYPE_INDEX egt_7_1879 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_1879 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_1879 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_1879 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_1879 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_1879 [] = {1878,845,0xFFFF};
static const EIF_TYPE_INDEX egt_13_1879 [] = {0xFF01,1878,845,0xFFFF};
static const EIF_TYPE_INDEX egt_14_1879 [] = {0xFF01,1852,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_1879 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_1879 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_1879 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_1879[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_1879), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_1879), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_1879), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_1879), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_1879), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_1879), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_1879), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_1879), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_1879), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_1879), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_1879), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_1879), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_1879), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_1879), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_1879), 10479, 0},
	{EIF_GENERIC(NULL), 10472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10473, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_1879), 10474, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_1879), 10475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10478, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_1879), -1, 0xFFFFFFFF},
};
void Init1879(void)
{
	IDSC(desc_1879, 0, 1878);
	IDSC(desc_1879 + 1, 1, 1878);
	IDSC(desc_1879 + 32, 1422, 1878);
}


#ifdef __cplusplus
}
#endif
